[pkg-horde] [COMMIT opal turba--sid--2--patch-1] Debian files created

Lionel Elie Mamane lmamane at costa.debian.org
Sun Apr 2 10:15:05 UTC 2006


A/ debian
A/ debian/.arch-ids
A  debian/.arch-ids/postrm.id
A  debian/postinst
A  debian/.arch-ids/changelog.id
A  debian/docs
A  debian/README.Debian
A  debian/.arch-ids/compat.id
A  debian/.arch-ids/dirs.id
A  debian/examples
A  debian/control
A  debian/.arch-ids/control.id
A  debian/postrm
A  debian/.arch-ids/rules.id
A  debian/.arch-ids/preinst.id
A  debian/.arch-ids/postinst.id
A  debian/copyright
A  debian/.arch-ids/=id
A  debian/.arch-ids/prerm.id
A  debian/.arch-ids/examples.id
A  {arch}/turba/turba--sid/turba--sid--2/pkg-horde-hackers at lists.alioth.debian.org--2006/patch-log/patch-1
A  debian/rules
A  debian/.arch-ids/watch.id
A  debian/watch
A  debian/prerm
A  debian/compat
A  debian/dirs
A  debian/.arch-ids/docs.id
A  debian/preinst
A  debian/.arch-ids/README.Debian.id
A  debian/changelog
A  debian/.arch-ids/copyright.id

--- /dev/null
+++ debian/.arch-ids/postrm.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:13 2006 955.1


--- /dev/null
+++ debian/postinst
@@ -0,0 +1,42 @@
+#! /bin/sh
+# postinst script for turba2
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


--- /dev/null
+++ debian/.arch-ids/changelog.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:06 2006 949.0


--- /dev/null
+++ debian/docs
@@ -0,0 +1,2 @@
+README
+docs/*


--- /dev/null
+++ debian/README.Debian
@@ -0,0 +1,94 @@
+turba2 for Debian
+-----------------
+
+Some notes from upstream INSTALL document follow here:
+
+Prerequisites
+=============
+
+1. SQL and/or LDAP support in PHP.
+
+   Turba can store its contacts entries in either an SQL or an LDAP database,
+   and can query public (read-only) LDAP databases for contacts as well.
+   Build PHP with whichever LDAP or SQL drivers you require.
+
+
+Configuring Turba
+=================
+
+1. Configuring Horde for Turba
+
+   a. Optional: Provide Turba access from IMP
+
+      If you wish to have Turba appear in IMP's menubar, edit IMP's
+      configuration and select Turba in ``Administration/Configuration/Menu
+      Settings``.
+
+2. Creating databases
+
+   The specific steps to create Turba databases depend on which database
+   you've chosen to use.
+
+   First, look in ``scripts/drivers/`` to see if a script already exists for
+   your database type (SQL or LDAP).  If so, you should be able to simply
+   execute that script as superuser in your database.  (Note that executing
+   the script as the "horde" user will probably fail when granting
+   privileges.)
+
+   If such a script does not exist, you'll need to build your own, using the
+   file ``turba.sql`` as a starting point.  If you need assistance in creating
+   databases, you may wish to let us know on the Turba mailing list.
+
+3. Configuring Turba.
+
+   You must configure ``sources.php`` to list your data sources (both SQL and
+   LDAP if necessary).  This configuration file contains a large number of
+   **examples**.  Please remove or comment out those examples that **you don't
+   need**.
+
+   You must login to Horde as a Horde Administrator to finish the
+   configuration of Turba.  Use the Horde ``Administration`` menu item to get
+   to the administration page, and then click on the ``Configuration`` icon to
+   get the configuration page.  Select ``Address Book`` from the selection
+   list of applications.  Fill in or change any configuration values as
+   needed.  When done click on ``Generate Address Book Configuration`` to
+   generate the ``conf.php`` file.  If your web server doesn't have write
+   permissions to the Turba configuration directory or file, it will not be
+   able to write the file.  In this case, go back to ``Configuration`` and
+   choose one of the other methods to create the configuration file
+   ``turba/config/conf.php``.
+
+4. Securing Turba
+
+   Before you can secure IMP, you need a secure Horde installation.  Please
+   read the file in `horde/docs/SECURITY`_ for Horde security information
+   before proceeding.
+
+   Some of Turba's configuration files contain passwords which local users
+   could use to access your database.  It is recommended to ensure that at
+   least the Turba configuration files (in ``config/``) are not readable to
+   system users.  There are ``.htaccess`` files restricting access to
+   directories that do not need to be accessed directly; before relying on
+   those, ensure that your webserver supports ``.htaccess`` and is configured
+   to use them, and that the files in those directories are in fact
+   inaccessible via the browser.
+
+   An additional approach is to make Turba's configuration files owned by the
+   user ``root`` and by a group which only the webserver user belongs to, and
+   then making them readable only to owner and group.  For example, if your
+   webserver runs as ``www.www``, do as follows::
+
+      chown root.www config/*
+      chmod 0440 config/*
+
+5. Testing Turba
+
+   To verify that Turba is working correctly, attempt to look up a known
+   existing and a known nonexisting entry in each of your data sources, and to
+   create and then look up a new entry in each data source which allows users
+   to create new entries.
+
+   If appropriate, ensure that Turba appears in the IMP menu bar.
+
+
+ -- Jose Carlos Medeiros <jose at psabs.com.br>, Tue, 22 Feb 2005 19:10:48 -0300


--- /dev/null
+++ debian/.arch-ids/compat.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:06 2006 949.1


--- /dev/null
+++ debian/.arch-ids/dirs.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:10 2006 954.0


--- /dev/null
+++ debian/examples
@@ -0,0 +1,4 @@
+config/
+docs/vcf/
+po/
+scripts/


--- /dev/null
+++ debian/control
@@ -0,0 +1,17 @@
+Source: turba2
+Section: web
+Priority: optional
+Maintainer: Ola Lundqvist <opal at debian.org>
+Uploaders: Jose Carlos Medeiros <jose at psabs.com.br>
+Build-Depends-Indep: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: turba2
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, horde3
+Recommends: php4-mysql | php4-pgsql | php4-ldap
+Suggests: php4-cli
+Description: contact management component for horde framework
+ Turba is the Horde contact management application, designed to be integrated
+ with other Horde applications to provide a unified interface to contact
+ management throughout the Horde suite.


--- /dev/null
+++ debian/.arch-ids/control.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:06 2006 949.2


--- /dev/null
+++ debian/postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for turba2
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0


--- /dev/null
+++ debian/.arch-ids/rules.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:14 2006 956.0


--- /dev/null
+++ debian/.arch-ids/preinst.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:13 2006 955.2


--- /dev/null
+++ debian/.arch-ids/postinst.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:13 2006 955.0


--- /dev/null
+++ debian/copyright
@@ -0,0 +1,61 @@
+This package was debianized by Jose Carlos Medeiros <jose at psabs.com.br> on
+Tue, 22 Feb 2005 19:10:48 -0300.
+
+It was downloaded from
+        http://ftp.horde.org/pub/horde/
+
+Copyright:
+
+Upstream Authors:
+        See /usr/share/doc/turba2/CREDITS
+
+Copyright:
+
+Copyright (c) 2000-2002 The Horde Project. All rights reserved.
+
+Version 1.0
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+1. Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.
+
+2. Redistributions in binary form must reproduce the above copyright
+notice, this list of conditions and the following disclaimer in the
+documentation and/or other materials provided with the distribution.
+
+3. The end-user documentation included with the redistribution, if
+any, must include the following acknowledgment:
+
+   "This product includes software developed by the Horde Project
+    (http://www.horde.org/)."
+
+Alternately, this acknowledgment may appear in the software itself, if
+and wherever such third-party acknowledgments normally appear.
+
+4. The names "Turba", "Horde" and "The Horde Project" must not be used
+to endorse or promote products derived from this software without
+prior written permission. For written permission, please contact
+core at horde.org.
+
+5. Products derived from this software may not be called "Turba" or
+"Horde", nor may "Turba" or "Horde" appear in their name, without
+prior written permission of the Horde Project.
+
+THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
+WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+DISCLAIMED. IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR ITS
+CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+This software consists of voluntary contributions made by many
+individuals on behalf of the Horde Project. For more information on
+the Horde Project, please see <http://www.horde.org/>.


--- /dev/null
+++ debian/.arch-ids/=id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:10:58 2006 934.0


--- /dev/null
+++ debian/.arch-ids/prerm.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:13 2006 955.3


--- /dev/null
+++ debian/.arch-ids/examples.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:27 2006 984.0


--- /dev/null
+++ {arch}/turba/turba--sid/turba--sid--2/pkg-horde-hackers at lists.alioth.debian.org--2006/patch-log/patch-1
@@ -0,0 +1,24 @@
+Revision: turba--sid--2--patch-1
+Archive: pkg-horde-hackers at lists.alioth.debian.org--2006
+Creator: Ola Lundqvist <opal at debian.org>
+Date: Sun Apr  2 12:13:09 CEST 2006
+Standard-date: 2006-04-02 10:13:09 GMT
+New-files: debian/.arch-ids/=id
+    debian/.arch-ids/README.Debian.id
+    debian/.arch-ids/changelog.id
+    debian/.arch-ids/compat.id debian/.arch-ids/control.id
+    debian/.arch-ids/copyright.id debian/.arch-ids/dirs.id
+    debian/.arch-ids/docs.id debian/.arch-ids/examples.id
+    debian/.arch-ids/postinst.id debian/.arch-ids/postrm.id
+    debian/.arch-ids/preinst.id debian/.arch-ids/prerm.id
+    debian/.arch-ids/rules.id debian/.arch-ids/watch.id
+    debian/README.Debian debian/changelog debian/compat
+    debian/control debian/copyright debian/dirs debian/docs
+    debian/examples debian/postinst debian/postrm
+    debian/preinst debian/prerm debian/rules debian/watch
+New-directories: debian debian/.arch-ids
+New-patches: pkg-horde-hackers at lists.alioth.debian.org--2006/turba--sid--2--patch-1
+Summary: Debian files created
+Keywords: 
+
+Imported Debian files for version 2.0.5-1


--- /dev/null
+++ debian/rules
@@ -0,0 +1,97 @@
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# List all Files and directories here that should not be copied
+COPY_EXCLUDE=^(configure-stamp|build-stamp|config|COPYING|debian|docs|po|README|scripts)$
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	touch configure-stamp
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	dh_clean build-stamp configure-stamp
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/turba2.
+	#### copy files ####
+	for i in $$(ls -1 | egrep -v "$(COPY_EXCLUDE)"); do \
+		echo install $$i ; \
+		cp -a $$i debian/turba2/usr/share/horde3/turba ; \
+	done
+
+	#### copy configuration files ####
+	for i in config/*.dist; do \
+		NAME=etc/horde/turba2/$$(basename $$i ".dist"); \
+		cp -a $$i debian/turba2/$$NAME; \
+	done
+	cp config/conf.xml debian/turba2/etc/horde/turba2/
+	touch debian/turba2/etc/horde/turba2/conf.php
+#	touch debian/turba2/etc/horde/turba2/conf.php.bak
+#	chown www-data:root debian/turba2/etc/horde/turba2/conf.php
+#	chown www-data:root debian/turba2/etc/horde/turba2/conf.php.bak
+	dh_link etc/horde/turba2 usr/share/horde3/turba/config
+
+	#### create htaccess  to restrict acess by web ####
+	echo "Deny from all" > debian/turba2/etc/horde/turba2/.htaccess
+
+	#### change made for program run with no problems ###
+	# change HORDE_BASE  in php files
+	# change /usr/local/bin/php to /usr/bin/php
+	# change TURBA_BASE in php files
+	for i in $$(find debian/turba2 -name "*.php"); do \
+		cat $$i | \
+		sed -e "s/define('HORDE_BASE'.*;/define\('HORDE_BASE', '\/usr\/share\/horde3'\);/" |\
+		sed -e "s/define('TURBA_BASE'.*;/define\('TURBA_BASE', '\/usr\/share\/horde3\/turba'\);/" |\
+		sed -e "s/\/usr\/local\/bin/\/usr\/bin/" > $$i.rew; \
+		cat $$i.rew > $$i; \
+		rm -f $$i.rew; \
+	done
+
+	#### change permissions of scripts ####
+	for i in $$(find debian/turba2/usr/share/horde3/turba -type f | \
+		xargs grep '^#!\/' |cut -d: -f1); do \
+		chmod u+x $$i; \
+	done
+	#### end ####
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	mv debian/turba2/usr/share/doc/turba2/CHANGES \
+		debian/turba2/usr/share/doc/turba2/changelog
+	dh_installexamples
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure


--- /dev/null
+++ debian/.arch-ids/watch.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:21 2006 972.0


--- /dev/null
+++ debian/watch
@@ -0,0 +1,2 @@
+version=2
+http://ftp.horde.org/pub/turba/turba-h3-([\d\.]*)\.tar\.gz


--- /dev/null
+++ debian/prerm
@@ -0,0 +1,39 @@
+#! /bin/sh
+# prerm script for turba2
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/turba2.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


--- /dev/null
+++ debian/compat
@@ -0,0 +1,1 @@
+4


--- /dev/null
+++ debian/dirs
@@ -0,0 +1,2 @@
+usr/share/horde3/turba
+etc/horde/turba2


--- /dev/null
+++ debian/.arch-ids/docs.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:10 2006 954.1


--- /dev/null
+++ debian/preinst
@@ -0,0 +1,44 @@
+#! /bin/sh
+# preinst script for turba2
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/turba2.pid  \
+#                --exec /usr/sbin/turba2 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


--- /dev/null
+++ debian/.arch-ids/README.Debian.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:18 2006 967.0


--- /dev/null
+++ debian/changelog
@@ -0,0 +1,37 @@
+turba2 (2.0.5-1) unstable; urgency=high
+
+  * New upstream release that correct a number of cross site scripting
+    vulnerabilities, closes: #342946.
+
+ -- Ola Lundqvist <opal at debian.org>  Fri, 16 Dec 2005 21:12:28 +0100
+
+turba2 (2.0.3-1) unstable; urgency=low
+
+  * New upstream release, closes: #314989.
+
+ -- Ola Lundqvist <opal at debian.org>  Fri,  9 Sep 2005 23:17:47 +0200
+
+turba2 (2.0.2-1) unstable; urgency=low
+
+  * Upload, closes: #303119.
+  * Removed unnecessary suggests to imp4.
+  * Uncapitalized description line.
+  * Added myself to maintainer field and Jose to Uploaders.
+  * Modified debian/copyright file. License is horde specific (BSD like)
+    and not GPL as stated before.
+  * Moved configuration from /etc/horde/turba2/config to
+    /etc/horde/turba2.
+  * Made sure that www-data do not own config files at installation. That
+    have to be changed by the admin.
+  * Updated rules file to avoid unnecessary copy of COPYING file.
+  * Changed build depends to build depends indep as this is an arch all
+    package.
+
+ -- Ola Lundqvist <opal at debian.org>  Sun, 10 Apr 2005 20:40:44 +0200
+
+turba2 (2.0.2-0) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Jose Carlos Medeiros <jose at psabs.com.br>  Tue, 22 Feb 2005 19:10:48 -0300
+


--- /dev/null
+++ debian/.arch-ids/copyright.id
@@ -0,0 +1,1 @@
+Ola Lundqvist <opal at debian.org> Sun Apr  2 12:11:06 2006 949.3




More information about the pkg-horde-hackers mailing list